package org.waxworlds.importcontacts;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.widget.EditText;

public class ImportVCF extends WizardActivity
{
	@Override
	protected void onCreate( Bundle savedInstanceState )
	{
		setContentView( R.layout.import_vcf );
		super.onCreate( savedInstanceState );

		setNextState( ImportContacts.STATE_MERGE );
	}

	@Override
	protected void onPause() {
		super.onPause();

		SharedPreferences.Editor editor = getSharedPreferences().edit();

		// location
		EditText location = (EditText)findViewById( R.id.location );
		editor.putString( "location", location.getText().toString() );

		editor.commit();
	}

	@Override
	protected void onResume() {
		super.onResume();

		SharedPreferences prefs = getSharedPreferences();

		// location
		EditText location = (EditText)findViewById( R.id.location );
		location.setText( prefs.getString( "location", "/sdcard/contacts" ) );
	}
}
