package org.waxworlds.importcontacts;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.widget.RadioGroup;

public class Merge extends WizardActivity
{
	@Override
	protected void onCreate( Bundle savedInstanceState )
	{
		setContentView( R.layout.merge );
		super.onCreate( savedInstanceState );

		setNextState( ImportContacts.STATE_DOIT );
	}

	@Override
	protected void onPause()
	{
		super.onPause();

		SharedPreferences.Editor editor = getSharedPreferences().edit();

		// radio button selection
		RadioGroup rg = (RadioGroup)findViewById( R.id.merge_setting );
		editor.putInt( "merge_setting", rg.getCheckedRadioButtonId() );

		editor.commit();
	}

	@Override
	protected void onResume()
	{
		super.onResume();

		SharedPreferences prefs = getSharedPreferences();

		// radio button selection
		RadioGroup rg = (RadioGroup)findViewById( R.id.merge_setting );
		rg.check( prefs.getInt( "merge_setting", R.id.merge_prompt ) );
	}


}
